%define drakxtools_ver 12.36

%define libname lib%{name}

%define gtk_files (connection_manager|drakroam|ifw|monitor|netcenter|drakconnect/edit|drakconnect/global).pm

Summary:	Mandriva network tools
Name:		drakx-net
Version:	1.1
Release:	5
Source0:	%{name}-%{version}.tar.xz
Patch0:		%{name}-nm-applet-disable-with-NM.patch
License:	GPLv2+
Group:		System/Configuration/Networking
Url:		https://abf.rosalinux.ru/soft/drakx-net
BuildArch:	noarch
BuildRequires:	intltool
Requires:	drakxtools >= %{drakxtools_ver}
Requires:	%{name}-text = %{version}
Requires:	%{libname} = %{version}
Requires:	netprofile >= 0.20
Requires:	perl-Gtk2 >= 1.154
Requires:	usermode-consoleonly >= 1.92-4mdv2008.0
Conflicts:	drakxtools <= 10.4.83
Suggests:	net_monitor
Suggests:	networkmanager

%description
This package contains the Mandriva network tools.

%package	text
Summary:	Mandriva network text tools
Group:		System/Configuration/Networking
Requires:	drakxtools-curses >= %{drakxtools_ver}
Requires:	%{libname} = %{version}
Conflicts:	drakxtools-curses <= 10.4.83
Conflicts:	mdkonline < 2.37

%description	text
This package contains the Mandriva network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)

%package -n	%{libname}
Summary:	Mandriva network tools library
Group:		System/Configuration/Networking
Requires:	drakxtools-backend >= %{drakxtools_ver}
# require perl-Net-Telnet for OpenVPN connections (#36126):
Requires:	perl-Net-Telnet
# Require crda, iw and wireless-regdb for CRDA domain settings (#47324)
Requires:	crda
Requires:	iw
Requires:	wireless-regdb
Conflicts:	drakxtools-backend <= 10.4.83

%description -n	%{libname}
This package contains the Mandriva network tools library.

%prep
%setup -q
%patch0 -p1

%build
%make

%install
%makeinstall_std

find %{buildroot}%{_prefix}/lib/libDrakX/network/ -type f -name '*.pm'| sed -e 's#^%{buildroot}/##g' | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

%find_lang %{name} %{name}.lang
cat %{name}-nogtk.list %{name}.lang > %{name}.list

# consolehelper config
# ask for root password
for pak in drakproxy drakhosts draksambashare draknfs drakfirewall; do
		ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d
		cat > %{buildroot}%{_sysconfdir}/pam.d/$pak  <<EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF
done

#drop draknet-center desktop file
rm -f %{buildroot}%{_datadir}/applications/draknetcenter.desktop

#full drop netapplet
rm -f %{buildroot}%{_bindir}/net_applet
rm -f %{buildroot}%{_datadir}/applications/net_applet.desktop
rm -f %{buildroot}%{_sysconfdir}/xdg/autostart/net_applet.desktop

#rm non-needing part (TODO - fix in tarball)

rm -f %{buildroot}%{_sbindir}/drakids
rm -f %{buildroot}%{_sbindir}/draknetcenter
rm -f %{buildroot}%{_sbindir}/draknetprofile
rm -f %{buildroot}%{_sbindir}/drakroam
rm -f %{buildroot}%{_sbindir}/drakconnect
rm -f %{buildroot}%{_sbindir}/drakgw
rm -f %{buildroot}%{_sbindir}/drakinvictus
rm -f %{buildroot}%{_sbindir}/drakvpn



%check
while read f; do
      grep Gtk2 %{buildroot}$f && exit 1
done < %{name}-nogtk.list
exit 0

%files -f %{name}-gtk.list
%doc NEWS

%{_bindir}/drakhosts
%{_bindir}/draknfs
%{_bindir}/draksambashare
%{_sbindir}/drakhosts
%{_sbindir}/draknfs
%{_sbindir}/draksambashare
%config(noreplace) %{_sysconfdir}/pam.d/drakhosts
%config(noreplace) %{_sysconfdir}/pam.d/draknfs
%config(noreplace) %{_sysconfdir}/pam.d/draksambashare
%config(noreplace) %{_sysconfdir}/security/console.apps/drakhosts
%config(noreplace) %{_sysconfdir}/security/console.apps/draknfs
%config(noreplace) %{_sysconfdir}/security/console.apps/draksambashare
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png

%files text
%config(noreplace) %{_sysconfdir}/pam.d/drakproxy
%config(noreplace) %{_sysconfdir}/pam.d/drakfirewall
%config(noreplace) %{_sysconfdir}/security/console.apps/drakproxy
%config(noreplace) %{_sysconfdir}/security/console.apps/drakfirewall
%{_bindir}/drakfirewall
%{_bindir}/drakproxy
%{_sbindir}/drakfirewall
%{_sbindir}/drakproxy

%files -n %{libname} -f %{name}.list
%dir %{_prefix}/lib/libDrakX/network/
%dir %{_prefix}/lib/libDrakX/network/connection
%dir %{_prefix}/lib/libDrakX/network/connection/isdn
%dir %{_prefix}/lib/libDrakX/network/connection/providers
%dir %{_prefix}/lib/libDrakX/network/drakconnect
%dir %{_prefix}/lib/libDrakX/network/vpn



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1-5
+ Revision: 14f02f4
- MassBuild#440: Increase release tag


